
#include <gnome.h>
#include <libgnomeui/gnome-window-icon.h>
#include "filedirs.h"

void gm_manager();
void gm_battle();
void gm_shop();

GtkWidget *window;

int
main(int argc, char **argv)
{
	GtkWidget *vbox;
	GtkWidget *manager;
	GtkWidget *battle;
	GtkWidget *shop;
	GtkWidget *quit;
	gnome_init("Gmonsters", "0.0.1", argc, argv);
	gnome_window_icon_init();
	window = gnome_app_new("Gmonsters", "GMonsters: Main");
	gnome_window_icon_set_default_from_file(gm_pixmap_file("gnome-gmonsters.png"));
	vbox = gtk_vbox_new(TRUE, 0);
	manager = gtk_button_new_with_label("Trainer Manager");
	battle = gtk_button_new_with_label("Battle Monsters");
	shop = gtk_button_new_with_label("Item & Monster Shop");
	gtk_widget_set_sensitive(shop, FALSE);
	quit = gtk_button_new_with_label("Quit GMonsters");
	gtk_box_pack_start(GTK_BOX(vbox), manager, FALSE, FALSE, 0);
	gtk_box_pack_start(GTK_BOX(vbox), battle, FALSE, FALSE, 0);
	gtk_box_pack_start(GTK_BOX(vbox), shop, FALSE, FALSE, 0);
	gtk_box_pack_start(GTK_BOX(vbox), quit, FALSE, FALSE, 0);
	gnome_app_set_contents(GNOME_APP(window), vbox);
	gtk_signal_connect(GTK_OBJECT(window), "destroy", GTK_SIGNAL_FUNC(&gtk_main_quit), NULL);
	gtk_signal_connect(GTK_OBJECT(manager), "clicked", GTK_SIGNAL_FUNC(&gm_manager), NULL);
	gtk_signal_connect(GTK_OBJECT(battle), "clicked", GTK_SIGNAL_FUNC(&gm_battle), NULL);
	gtk_signal_connect(GTK_OBJECT(shop), "clicked", GTK_SIGNAL_FUNC(&gm_shop), NULL);
	gtk_signal_connect(GTK_OBJECT(quit), "clicked", GTK_SIGNAL_FUNC(&gtk_main_quit), NULL);
	gtk_widget_show_all(window);
	gtk_main();
	return 0;
}

void
gm_manager()
{
	char *tmp = gm_binary_file("gmmanager");
	gtk_widget_hide(window);
	while (gtk_events_pending())
		gtk_main_iteration();
	system(tmp);
	free(tmp);
	gtk_widget_show_all(window);
}

void
gm_battle()
{
	char *tmp = gm_binary_file("gmbattle");
	gtk_widget_hide(window);
	while (gtk_events_pending())
		gtk_main_iteration();
	system(tmp);
	free(tmp);
	gtk_widget_show_all(window);
}

void
gm_shop()
{
	char *tmp = gm_binary_file("gmshop");
	gtk_widget_hide(window);
	while (gtk_events_pending())
		gtk_main_iteration();
	system(tmp);
	free(tmp);
	gtk_widget_show_all(window);
}
